For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage access to a specific segment

This endpoint updates access permissions for a specific segment by managing allowed team IDs.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates access permissions for a specific segment by managing allowed team IDs."

Manage access to a specific segment

Manage access to a specific segment

post

This endpoint updates access permissions for a specific segment by managing allowed team IDs.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

The id of the segment for which access control is managed.

Body
accessTeamIdsstring[]Optional

The list of team ids for which the segment is accessible

Responses
200

Access updated.

application/json
object · v1ManageAccessResponseOptional

Empty response body.

post/v1/segments/{id}:manage-access
POST /v1/segments/{id}:manage-access HTTP/1.1
Host: customer.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 26

{
  "accessTeamIds": [
    "text"
  ]
}
{}